import type { ITranslate } from "./translate.interface";
export declare class GoogleTranslate implements ITranslate {
    private googleTranslate;
    private supportedLanguages;
    private constructor();
    static initialize(apiKey: string): Promise<GoogleTranslate>;
    private static getSupportedLanguages;
    isValidLocale(targetLocale: string): boolean;
    translateText(text: string, _sourceLocale: string, targetLocale: string): Promise<string>;
}
