import type { ITranslate } from "./translate.interface";
export declare class OpenAITranslate implements ITranslate {
    private model;
    private maxTokens;
    private temperature;
    private topP;
    private n;
    private frequencyPenalty;
    private presencePenalty;
    private openai;
    constructor(apiKey: string, baseUrl: string, model: string, maxTokens: number, temperature: number, topP: number, n: number, frequencyPenalty: number, presencePenalty: number);
    isValidLocale(targetLocale: string): boolean;
    translateText(text: string, sourceLocale: string, targetLocale: string): Promise<string>;
}
