import type { ITranslate } from "./translate.interface";
export declare class AWSTranslate implements ITranslate {
    private accessKeyId;
    private secretAccessKey;
    private regions;
    private client;
    constructor(accessKeyId: string, secretAccessKey: string, regions: string);
    isValidLocale(targetLocale: string): boolean;
    translateText(text: string, sourceLocale: string, targetLocale: string): Promise<string>;
}
