import type { ITranslate } from "./translate.interface";
export declare class AzureTranslate implements ITranslate {
    private subscriptionKey;
    private subscriptionRegion;
    private endpoint;
    constructor(subscriptionKey: string, subscriptionRegion: string);
    isValidLocale(targetLocale: string): boolean;
    translateText(text: string, sourceLocale: string, targetLocale: string): Promise<string>;
}
