import { type IFiles } from "./files";
import type { TranslationFile } from "./translate.interface";
export declare class FolderFiles implements IFiles {
    folderPath: string;
    sourceLocale: string;
    targetLocales: Array<string>;
    fileName: string;
    constructor(filePath: string);
    private getTargetLocales;
    private createFileName;
    loadJsonFromLocale(locale: string): Promise<TranslationFile>;
    saveJsonToLocale(locale: string, file: TranslationFile): void;
}
